# Class JSOFA.GeodeticCoord

java.lang.Object
org.jastronomy.jsofa.JSOFA.GeodeticCoord

Enclosing class:
  `JSOFA`

public static class JSOFA.GeodeticCoord extends Object
Geodetic coordinates.

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 4 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`elong`
longitude (radians, east +ve)
`double`
`height`
height above ellipsoid (geodetic)
`double`
`phi`
latitude (geodetic, radians)

## Constructor Summary

Constructors
Constructor
Description
`GeodeticCoord(double elong, double phi, double height)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### elong

public double elong
longitude (radians, east +ve)

### phi

public double phi
latitude (geodetic, radians)

### height

public double height
height above ellipsoid (geodetic)

## Constructor Details

### GeodeticCoord

public GeodeticCoord(double elong, double phi, double height)